import bb.cascades 1.4

Sheet {
    id: statsSheet
    
    onOpened: {
        _app.sendToHL("GET_STATS_MAP")
        Application.menuEnabled = false
    }
    
    onClosed: {
        Application.menuEnabled = true
    }
    
    Page {
        titleBar: TitleBar {
            title: qsTr("Today's Stats") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Ok") + Retranslate.onLanguageChanged
                onTriggered: {
                    statsSheet.close()
                }
            }
            dismissAction: ActionItem {
                title: qsTr("Refresh") + Retranslate.onLanguageChanged
                onTriggered: {
                    _app.sendToHL("GET_STATS_MAP")
                }
            }
        }
        Container {
            ListView {
                dataModel: _app.statsDataModel
                listItemComponents: [
                    ListItemComponent {
                        StandardListItem {
                            property int timeSpent: ListItemData.timeSpent
                            property int hourSpent: Math.floor(timeSpent / 3600)
                            property int minSpent: Math.floor((timeSpent % 3600) / 60)
                            property int secSpent: Math.floor(timeSpent % 60)
                            title: ListItemData.appType
                            description: ListItemData.numberOfFullscreenEvents + " times fullscreen"
                            status: hourSpent + "h " + minSpent + "m " + secSpent + "s"
                            imageSource: "asset:///Images/" + ListItemData.appType + ".png"
                        }
                    }
                ]
            }
        }
    }
}